org.bdgenomics.adam.io

# BAMFilteredRecordReader

#### class BAMFilteredRecordReader extends BAMRecordReader

Scala implementation of BAMRecordReader, but with nextKeyValue() that filters by ReferenceRegion

Linear Supertypes
BAMRecordReader, RecordReader[LongWritable, SAMRecordWritable], Closeable, AutoCloseable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BAMFilteredRecordReader
2. BAMRecordReader
3. RecordReader
4. Closeable
5. AutoCloseable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new BAMFilteredRecordReader()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var bci: BlockCompressedInputStream

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def close(): Unit

   Definition Classes
     BAMFilteredRecordReader → BAMRecordReader → RecordReader → Closeable → AutoCloseable

10. #### var codec: BAMRecordCodec

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### var fileStart: Long

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def getCurrentKey(): LongWritable

    Definition Classes
      BAMFilteredRecordReader → BAMRecordReader → RecordReader

17. #### def getCurrentValue(): SAMRecordWritable

    Definition Classes
      BAMFilteredRecordReader → BAMRecordReader → RecordReader

18. #### def getProgress(): Float

    Definition Classes
      BAMRecordReader → RecordReader

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### def initialize(spl: InputSplit, ctx: TaskAttemptContext): Unit

    Definition Classes
      BAMFilteredRecordReader → BAMRecordReader → RecordReader

21. #### var isInitialized: Boolean

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val key: LongWritable

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def nextKeyValue(): Boolean

    This method gets the nextKeyValue for our RecordReader, but filters by only returning records within a specified ReferenceRegion.

    This method gets the nextKeyValue for our RecordReader, but filters by only returning records within a specified ReferenceRegion. This function is tail recursive to avoid stack overflow when predicate data can be sparse.

    Definition Classes
      BAMFilteredRecordReader → BAMRecordReader → RecordReader
    Annotations
      @tailrec()

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### val record: SAMRecordWritable

29. #### var stringency: ValidationStringency

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### var virtualEnd: Long

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BAMRecordReader

### Inherited from RecordReader[LongWritable, SAMRecordWritable]

### Inherited from Closeable

### Inherited from AutoCloseable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped